singleton Material(miata)
{
    mapTo = "miata";
    diffuseMap[2] = "vehicles/coupe/coupe_c.dds";
    specularMap[2] = "vehicles/coupe/coupe_s.dds";
    normalMap[2] = "vehicles/coupe/coupe_n.dds";
    diffuseMap[1] = "vehicles/coupe/coupe_d.dds";
    specularMap[1] = "vehicles/coupe/coupe_s.dds";
    normalMap[1] = "vehicles/coupe/coupe_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/coupe/coupe_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("miata.skin.bodycolored")
{
    mapTo = "miata.skin.bodycolored";
    diffuseMap[2] = "vehicles/coupe/coupe_c_alt.dds";
    specularMap[2] = "vehicles/coupe/coupe_s.dds";
    normalMap[2] = "vehicles/coupe/coupe_n.dds";
    diffuseMap[1] = "vehicles/coupe/coupe_d_alt.dds";
    specularMap[1] = "vehicles/coupe/coupe_s.dds";
    normalMap[1] = "vehicles/coupe/coupe_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/coupe/coupe_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("miata.skin.nomi")
{
    mapTo = "miata.skin.nomi";
	colorPaletteMap[2] = "vehicles/coupe/coupe_skin_nomi_palette_uv1.dds";
    overlayMap[2] = "vehicles/coupe/coupe_skin_nomi.dds";
    diffuseMap[2] = "vehicles/coupe/coupe_c_alt.dds";
    specularMap[2] = "vehicles/coupe/coupe_s.dds";
    normalMap[2] = "vehicles/coupe/coupe_n.dds";
    diffuseMap[1] = "vehicles/coupe/coupe_d_alt.dds";
    specularMap[1] = "vehicles/coupe/coupe_s.dds";
    normalMap[1] = "vehicles/coupe/coupe_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/coupe/coupe_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("miata.skin.blastr")
{
    mapTo = "miata.skin.blastr";
	colorPaletteMap[2] = "vehicles/coupe/coupe_skin_blastr_palette_uv1.dds";
    overlayMap[2] = "vehicles/coupe/coupe_skin_blastr.dds";
    diffuseMap[2] = "vehicles/coupe/coupe_c_alt.dds";
    specularMap[2] = "vehicles/coupe/coupe_s.dds";
    normalMap[2] = "vehicles/coupe/coupe_n.dds";
    diffuseMap[1] = "vehicles/coupe/coupe_d_alt.dds";
    specularMap[1] = "vehicles/coupe/coupe_s.dds";
    normalMap[1] = "vehicles/coupe/coupe_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/coupe/coupe_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("miata.skin.tuningstudio")
{
    mapTo = "miata.skin.tuningstudio";
	colorPaletteMap[2] = "vehicles/coupe/coupe_skin_tuningstudio_palette_uv1.dds";
    overlayMap[2] = "vehicles/coupe/coupe_skin_tuningstudio.dds";
    diffuseMap[2] = "vehicles/coupe/coupe_c_alt.dds";
    specularMap[2] = "vehicles/coupe/coupe_s.dds";
    normalMap[2] = "vehicles/coupe/coupe_n.dds";
    diffuseMap[1] = "vehicles/coupe/coupe_d_alt.dds";
    specularMap[1] = "vehicles/coupe/coupe_s.dds";
    normalMap[1] = "vehicles/coupe/coupe_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/coupe/coupe_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("miata.skin.police")
{
    mapTo = "miata.skin.police";
    overlayMap[2] = "vehicles/coupe/coupe_skin_police.dds";
    diffuseMap[2] = "vehicles/coupe/coupe_c_alt.dds";
    specularMap[2] = "vehicles/coupe/coupe_s.dds";
    normalMap[2] = "vehicles/coupe/coupe_n.dds";
    diffuseMap[1] = "vehicles/coupe/coupe_d_alt.dds";
    specularMap[1] = "vehicles/coupe/coupe_s.dds";
    normalMap[1] = "vehicles/coupe/coupe_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/coupe/coupe_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miata_overfender)
{
    mapTo = "miata_overfender";
    diffuseMap[2] = "vehicles/coupe/overfender_c.dds";
    specularMap[2] = "vehicles/coupe/overfender_s.dds";
    normalMap[2] = "vehicles/coupe/overfender_n.dds";
    diffuseMap[1] = "vehicles/coupe/overfender_d.dds";
    specularMap[1] = "vehicles/coupe/overfender_s.dds";
    normalMap[1] = "vehicles/coupe/overfender_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/coupe/overfender_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miata_carbonfibre)
{
    mapTo = "miata_carbonfibre";
    detailMap[2] = "vehicles/common/carbonfibre.dds";
    diffuseMap[1] = "vehicles/common/carbonfibre_d.dds";
    specularMap[1] = "vehicles/coupe/coupe_s.dds";
    normalMap[1] = "vehicles/coupe/coupe_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/coupe/coupe_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "0.7 0.7 0.7 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
	detailScale[2] = 40;
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";

};


singleton Material(miata_interior)
{
    mapTo = "miata_interior";
    normalMap[0] = "vehicles/coupe/coupe_interior_n.dds";
    diffuseMap[0] = "vehicles/coupe/coupe_interior_d.dds";
    specularMap[0] = "vehicles/coupe/coupe_interior_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miata_seats)
{
    mapTo = "miata_seats";
    normalMap[0] = "vehicles/coupe/coupe_seats_n.dds";
    diffuseMap[0] = "vehicles/coupe/coupe_seats_d.dds";
    specularMap[0] = "vehicles/coupe/coupe_seats_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    specularPower[1] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miata_GTwing)
{
    mapTo = "miata_GTwing";
    normalMap[0] = "vehicles/coupe/coupe_GTwing_n.dds";
    diffuseMap[0] = "vehicles/coupe/coupe_GTwing_d.dds";
    specularMap[0] = "vehicles/coupe/coupe_GTwing_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miata_gauges)
{
    mapTo = "miata_gauges";
    diffuseMap[0] = "vehicles/coupe/coupe_gauges_d.dds";
    specularMap[0] = "vehicles/coupe/coupe_gauges_s.dds";
    normalMap[0] = "vehicles/coupe/coupe_gauges_n.dds";
    specularPower[0] = "64";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(miata_gauges_on)
{
    mapTo = "miata_gauges_on";
    diffuseMap[1] = "vehicles/coupe/coupe_gauges_g.dds";
    specularMap[1] = "vehicles/coupe/coupe_gauges_s.dds";
    normalMap[1] = "vehicles/coupe/coupe_gauges_n.dds";
    diffuseMap[0] = "vehicles/coupe/coupe_gauges_d.dds";
    specularMap[0] = "vehicles/coupe/coupe_gauges_s.dds";
    normalMap[0] = "vehicles/coupe/coupe_gauges_n.dds";
    specularPower[0] = "64";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.5 1.7 1.2 1";
};

singleton Material(miata_engine)
{
    mapTo = "miata_engine";
    diffuseMap[0] = "vehicles/coupe/coupe_engine_d.dds";
    specularMap[0] = "vehicles/coupe/coupe_engine_s.dds";
    normalMap[0] = "vehicles/coupe/coupe_engine_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miata_glass)
{
    mapTo = "miata_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/mx5/windows0.dds";
    opacityMap[0] = "vehicles/mx5/windows0.dds";
    diffuseMap[1] = "vehicles/mx5/rs6_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miata_glass_int)
{
    mapTo = "miata_glass_int";
    diffuseMap[0] = "vehicles/coupe/coupe_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miata_glass_dmg)
{
    mapTo = "miata_glass_dmg";
    diffuseMap[0] = "vehicles/mx5/audi_glass_dmg_d.dds";
    opacityMap[0] = "vehicles/mx5/audi_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/mx5/audi_glass_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miata_windshield_dmg)
{
    mapTo = "miata_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/mx5/audi_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miata_lettering)
{
    mapTo = "miata_lettering";
    specularMap[0] = "vehicles/coupe/coupe_lettering_s.dds";
    normalMap[0] = "vehicles/coupe/coupe_lettering_n.dds";
    diffuseMap[0] = "vehicles/coupe/coupe_lettering_d.dds";
    reflectivityMap[0] = "vehicles/coupe/coupe_lettering_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    //translucentZWrite = "1";
};

singleton Material(miata_remap_miata94__prim_env_3_spec_)
{
   mapTo = "remap_miata94__prim_env_3_spec_";
    diffuseMap[2] = "vehicles/mx5/kg_c.dds";
    specularMap[2] = "vehicles/mx5/kg_s.dds";
    normalMap[2] = "vehicles/mx5/kg_n.dds";
    diffuseMap[1] = "vehicles/mx5/kg_d.dds";
    specularMap[1] = "vehicles/mx5/kg_s.dds";
    normalMap[1] = "vehicles/mx5/kg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/mx5/kg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miata_miata94_bodymisc__spec_)
{
   mapTo = "miata94_bodymisc__spec_";
   diffuseMap[0] = "vehicles/mx5/miata94_bodymisc.tga";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(miata_vehicle_generic_doorshut2__prim_)
{
   mapTo = "vehicle_generic_doorshut2__prim_";
   diffuseMap[0] = "vehicles/mx5/vehicle_generic_doorshut2.tga";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   materialTag0 = "Miscellaneous";
};

singleton Material(miata_Matte__FF999999__env_14_spec_)
{
   mapTo = "Matte__FF999999__env_14_spec_";
   diffuseColor[0] = "0.6 0.6 0.6 1";
   specular[0] = "0.9 0.9 0.9 1";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(miata_Matte__FF000000)
{
   mapTo = "Matte__FF000000";
   diffuseColor[0] = "0 0 0 1";
   specular[0] = "0 0 0 1";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(miata_vehiclelights__spec_trans_)
{
   mapTo = "vehiclelights__spec_trans_";
   diffuseMap[0] = "vehicles/mx5/vehiclelights.tga";
   specularPower[0] = "1";
   translucentBlendOp = "Add";
   specular[0] = "0 0 0 1";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   translucent = "1";
   materialTag0 = "Miscellaneous";
   alphaTest = "1";
   alphaRef = "0";
};

singleton Material(miata_vehiclelights)
{
   mapTo = "vehiclelights";
   diffuseMap[0] = "vehicles/mx5/vehiclelights.tga";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(miata_vehiclelights__FR_)
{
   mapTo = "vehiclelights__FR_";
   diffuseMap[0] = "vehicles/mx5/vehiclelights.tga";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(miata_vehiclelights__FL_)
{
   mapTo = "vehiclelights__FL_";
   diffuseMap[0] = "vehicles/mx5/vehiclelights.tga";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(miata_vehiclelights__spec_)
{
   mapTo = "vehiclelights__spec_";
   diffuseMap[0] = "vehicles/mx5/vehiclelights.tga";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(miata_miata94_bodymisc)
{
   mapTo = "miata94_bodymisc";
   diffuseMap[0] = "vehicles/mx5/miata94_bodymisc.tga";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(miata_underbody)
{
   mapTo = "underbody";
   diffuseMap[0] = "vehicles/mx5/underbody.tga";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(miata_Matte__FF000000__spec_)
{
   mapTo = "Matte__FF000000__spec_";
   diffuseColor[0] = "0 0 0 1";
   specular[0] = "0 0 0 1";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(miata_generic_carpet_lightgrey01__spec_)
{
   mapTo = "generic_carpet_lightgrey01__spec_";
   diffuseMap[0] = "vehicles/mx5/generic_carpet_lightgrey01.tga";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(miata_generic_plastic_white02__spec_)
{
   mapTo = "generic_plastic_white02__spec_";
   diffuseMap[0] = "vehicles/mx5/generic_plastic_white02.tga";
   diffuseColor[0] = "0.31 0.31 0.31 1";
   specular[0] = "0 0 0 1";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(miata_generic_seatbelt__spec_)
{
   mapTo = "generic_seatbelt__spec_";
   diffuseMap[0] = "vehicles/mx5/generic_seatbelt.tga";
   diffuseColor[0] = "0.91 0.91 0.91 1";
   specular[0] = "0 0 0 1";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(miata_miata94_interior__spec_)
{
   mapTo = "miata94_interior__spec_";
   diffuseMap[0] = "vehicles/mx5/miata94_interior.tga";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(miata_generic_leather_white02__spec_)
{
   mapTo = "generic_leather_white02__spec_";
   diffuseMap[0] = "vehicles/mx5/generic_leather_white02.tga";
   diffuseColor[0] = "0.20 0.20 0.20 1";
   specular[0] = "0 0 0 1";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(miata_generic_carpet_grey01__spec_)
{
   mapTo = "generic_carpet_grey01__spec_";
   diffuseMap[0] = "vehicles/mx5/generic_carpet_grey01.tga";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(miata_generic_dots02__spec_)
{
   mapTo = "generic_dots02__spec_";
   diffuseMap[0] = "vehicles/mx5/generic_dots02.tga";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(miata_miata94_extras)
{
   mapTo = "miata94_extras";
   diffuseMap[0] = "vehicles/mx5/miata94_extras.tga";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(miata_grille1__spec_)
{
   mapTo = "grille1__spec_";
   diffuseMap[0] = "vehicles/mx5/grille1.tga";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(miata_miata94_dials__spec_trans_)
{
   mapTo = "miata94_dials__spec_trans_";
   diffuseMap[0] = "vehicles/mx5/miata94_dials.tga";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(miata_generic_tire_01)
{
   mapTo = "generic_tire_01";
   diffuseMap[0] = "vehicles/mx5/generic_tire_01";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(miata_generic_tread_01)
{
   mapTo = "generic_tread_01";
   diffuseMap[0] = "vehicles/mx5/generic_tread_01";
   diffuseColor[0] = "0.80 0.80 0.80";
   specular[0] = "0 0 0 1";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(miata_miata94_wheel__spec_)
{
   mapTo = "miata94_wheel__spec_";
   diffuseMap[0] = "vehicles/mx5/miata94_wheel";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(miata_generic_brakedisk_01__trans_)
{
   mapTo = "generic_brakedisk_01__trans_";
   diffuseMap[0] = "vehicles/mx5/generic_brakedisk_01";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   doubleSided = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(miata_glass02)
{
   mapTo = "glass02";
   diffuseColor[0] = "0.40 0.40 0.40 1";
   specularPower[0] = "1";
   translucentBlendOp = "addAlpha";
   specular[0] = "0 0 0 1";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   translucent = "1";
   materialTag0 = "Miscellaneous";
   alphaTest = "1";
   alphaRef = "0";
};

singleton Material(miata_lights)
{
    mapTo = "miata_lights";
    diffuseMap[1] = "vehicles/mx5/vehiclelights.tga";
    specularMap[1] = "vehicles/mx5/kg_s.dds";
    normalMap[1] = "vehicles/mx5/kg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/mx5/kg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miata_lights_on)
{
    mapTo = "miata_lights_on";
    diffuseMap[2] = "vehicles/mx5/vehiclelights_on.tga";
    specularMap[2] = "vehicles/mx5/kg_s.dds";
    normalMap[2] = "vehicles/mx5/kg_n.dds";
    diffuseMap[1] = "vehicles/mx5/vehiclelights.tga";
    specularMap[1] = "vehicles/mx5/kg_s.dds";
    normalMap[1] = "vehicles/mx5/kg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/mx5/kg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.15";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miata_lights_on_intense)
{
    mapTo = "miata_lights_on_intense";
    diffuseMap[2] = "vehicles/mx5/vehiclelights_on.tga";
    specularMap[2] = "vehicles/mx5/kg_s.dds";
    normalMap[2] = "vehicles/mx5/kg_n.dds";
    diffuseMap[1] = "vehicles/mx5/vehiclelights.tga";
    specularMap[1] = "vehicles/mx5/kg_s.dds";
    normalMap[1] = "vehicles/mx5/kg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/mx5/kg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.25";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miata_lights_dmg)
{
    mapTo = "miata_lights_dmg";
    diffuseMap[1] = "vehicles/mx5/vehiclelights_dam.tga";
    specularMap[1] = "vehicles/mx5/kg_s2.dds";
    normalMap[1] = "vehicles/mx5/kg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/mx5/kg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "addAlpha";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miata_headlightlens)
{
    mapTo = "miata_headlightlens";
    diffuseMap[0] = "vehicles/mx5/vehiclelights.tga";
    normalMap[0] = "vehicles/mx5/kg_n.dds";
    specularMap[0] = "vehicles/mx5/kg_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "1";
    alphaRef = "40";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miata_headlightlens_on)
{
    mapTo = "miata_headlightlens_on";
    diffuseMap[0] = "vehicles/mx5/vehiclelights.tga";
    normalMap[0] = "vehicles/mx5/kg_n.dds";
    specularMap[0] = "vehicles/mx5/kg_s.dds";
    diffuseMap[1] = "vehicles/mx5/vehiclelights_on.tga";
    normalMap[1] = "vehicles/mx5/kg_n.dds";
    specularMap[1] = "vehicles/mx5/kg_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    emissive[0] = "1";
    emissive[1] = "1";
    castShadows = "0";
    translucent = "1";
    translucentBlendOp = "addAlpha";
    alphaTest = "1";
    alphaRef = "40";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miata_headlightlens_dmg)
{
    mapTo = "miata_headlightlens_dmg";
    diffuseMap[0] = "vehicles/mx5/vehiclelights_dam.tga";
    normalMap[0] = "vehicles/mx5/kg_n.dds";
    specularMap[0] = "vehicles/mx5/kg_s2.dds";
    diffuseMap[1] = "vehicles/mx5/vehiclelights_dam.tga";
    normalMap[1] = "vehicles/mx5/kg_n.dds";
    specularMap[1] = "vehicles/mx5/kg_s2.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "40";
    cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Matte__96111012__spec_trans_)
{
    mapTo = "Matte__96111012__spec_trans_";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/mx5/windows0.dds";
    opacityMap[0] = "vehicles/mx5/windows0.dds";
    diffuseMap[1] = "vehicles/mx5/rs6_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miata_reverselight)
{
    mapTo = "miata_reverselight";
};

singleton Material(miata_signal_R)
{
    mapTo = "miata_signal_R";
};

singleton Material(miata_signal_L)
{
    mapTo = "miata_signal_L";
};

singleton Material(miata_taillight_R)
{
    mapTo = "miata_taillight_R";
};

singleton Material(miata_taillight_L)
{
    mapTo = "miata_taillight_L";
};

singleton Material(miata_headlight)
{
    mapTo = "miata_headlight";
};

singleton Material(miata_chmsl)
{
    mapTo = "miata_chmsl";
};

singleton Material(miata_trunklight)
{
    mapTo = "miata_trunklight";
};
